# Wiki – FabLab Bad Windsheim

# Wiki des FabLab Bad Windsheim

In diesem Wiki werden Anleitungen, Maschinen-Parameter und ähnliches gesammelt.

## Wie kann ich das Wiki bearbeiten?

Zum Bearbeiten des Wikis benötigst Du einen GitHub-Account.

Über den Knopf in der oberen rechten Bildschirm-Ecke gelangst Du zu einer Seite, auf der Du den Inhalt direkt bearbeiten kannst. Unter Umständen musst Du das Wiki vorher „forken“, also eine Kopie erstellen, auf die Du Schreibzugriff hast. Wenn Du fertig mit dem Bearbeiten bist, kannst Du, wenn Du die Berechtigung hast, den Inhalt direkt „committen“ oder einen „Pull Request“ erstellen. Bei ersterem ist die Änderung nach wenigen Sekunden Teil des Wikis, bei letzterem muss erst ein Mitglied des FabLabs Deine Änderung genehmigen.

# Etiketten

Zum Drucken von Etiketten kann man einen brother P-Touch PT-P700 verwenden. Zum Ansteuern gibt es `ptouch-print` (`nix-shell -p ptouch-print`).

## Wichtige Optionen

- `--writepng /tmp/foo.png` schreibt ein PNG von dem, was es drucken würde
- `--text "foo"` schreibt `foo`
- `--text "foo" "bar"` schreibt `foo` und `bar` darunter
- `--cutmark` macht eine vertikale gestrichelte Linie, um mehrere Etiketten in einem zu drucken und Band zu sparen
- `--text "foo" "bar" --text "baz"` schreibt `foo`, `baz` darunter und `bar` hinter beides

## Beispiel

    ptouch-print --font "Iosevka Nerd Font" --text "X" --cutmark --text "Y" --cutmark --text "X" --text "CAN" "121" --cutmark --text "Y" --text "CAN" "122" --cutmark --text "Z"

# LaserKutter

Der LaserKutter ist ein Bodor 1309XM Laser-Cutter. Aufgrund von gravierenden Problemen mit dem Original-Board (Ruida RDC6332M), betreiben wir ihn mit einem Duet3D Mini5+ und einem PanelDue.

## Firmware-Upgrade

1. Herunterladen der neuesten Firmware von https://github.com/Duet3D/RepRapFirmware/releases
   - Nur für das erste Update: `Duet3_SDiap32_Mini5plus.bin`
   - Für das Haupt-Board: `Duet3Firmware_Mini5plus.uf2`
   - Für die Expansion-Boards: `Duet3Firmware_EXP1XD.bin`
2. Hochladen der neuen Firmware in der oben genannten Reihenfolge (Web-Interface: Files → System → Upload System Files)
3. Das Web-Interface sollte nach dem Upload der Dateien fragen, ob ein Update durchgeführt werden soll
4. Wenn das Update nicht automatisch funktioniert, kann es mit der G-Code-Instruktion `M997` für das Haupt-Board und `M997 Bn` für das Expansion-Board, wobei `n` für die CAN-Bus-Adresse steht, aktualisiert werden
5. Mit `M115` kann die Firmware-Version des Haupt-Boards abgefragt werden, mit `M115 Bn` kann die Firmware-Version des Expansion-Boards mit CAN-Bus-Adresse `n` abgefragt werden